org.eclipse.mat.ui.snapshot.panes.oql.contentAssist

## Class AttributeExtractor

- java.lang.Object
- - org.eclipse.mat.ui.snapshot.panes.oql.contentAssist.AttributeExtractor

All Implemented Interfaces:
  ContextExtractor

    public class AttributeExtractor
    extends Object
    implements ContextExtractor

Context extractor to be used in the SELECT and WHERE clause of a query. If last character is not a space gets back up to the first space or at sign or dot.

### Constructor Summary

Constructors
Constructor and Description
`AttributeExtractor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getPrefix(ITextViewer source, int currentPosition)` If the last character is a space it returns an empty String If not it returns the last substring up to a space

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AttributeExtractor

    public AttributeExtractor()

### Method Detail

#### getPrefix

    public String getPrefix(ITextViewer source,
                            int currentPosition)

If the last character is a space it returns an empty String If not it returns the last substring up to a space

Specified by:
  `getPrefix` in interface `ContextExtractor`
Returns:
  what has been typed before the current position and should be used to filter the content assistance.